:root {
  --blue: hsl(223, 87%, 63%);
  --PaleBlue: hsl(223, 100%, 73%);
  --LightRed: hsl(354, 100%, 66%);
  --Gray: hsl(0, 0%, 59%);
  --DarkBlue: hsl(209, 33%, 12%);
}

.flex {
  display: flex;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  height: 100%;
  font-family: 'Libre Franklin';
}

body {
  font-size: 20px;
  height: 100%;
  display: flex;
  align-items: center;
}

.wrapper {
  max-width: 420px;
  width: 88%;
  margin-inline: auto;
}

.main-logo {
  width: 100%;
  text-align: center;
  padding-bottom: 1.5rem;
  user-select: none;
}
.main-logo img {
  width: 45px;
  user-select: none;
  -webkit-user-drag: none;

}
.main-header {
  text-align: center;
  padding-bottom: 1.5rem;
  flex-direction: column;
  gap: 0.8rem;
}
.main-header h1 {
  font-size: 1.9rem;
  font-weight: 700;
  color: var(--DarkBlue);
}
.main-header h2 {
  font-size: 0.8rem;
}
.main-header .head {
  font-weight: 300;
  color: var(--Gray);
}


main {
  padding-bottom: 4.5rem;
  flex-direction: column;
  gap: 3rem;
}
main .dashboard-img {
  user-select: none;
  -webkit-user-drag: none;
}
.form {
  font-family: 'Libre Franklin';
  gap: 1rem;
}
.form .input {
  flex: 2.4;
}
.form .email {
  width: 100%;
  font-size: 0.7rem;  
  padding: 0.7rem 1rem 0.6rem 1rem;
  border: 1px solid var(--Gray);
  border-radius: 50px;
  outline: none;
  opacity: 0.7;
} 
.form .email:focus {
  border: 1.5px solid black;
  opacity: 1;
}
.form .email::placeholder {
  color: var(--Gray);
}
.error-msg {
  visibility: hidden;
  font-size: 0.6rem;
  font-weight: 450;
  font-style: italic;
  color: var(--LightRed);
  position: absolute;
  transform: translate(17px, 7px);
}
.form .show {
  visibility: visible;
}
.form .show2 {
  border: 1.5px solid var(--LightRed);
  opacity: 1;
}
.form .show2:focus {
  border: 1.5px solid var(--LightRed);
}
.form button {
  flex: 1;
  font-size: 0.7rem;
  font-weight: 540;
  background-color: var(--blue);
  color: white;
  border: 1px solid transparent;
  border-radius: 50px;
  box-shadow: 0 8px 20px 5px rgba(2, 93, 154, 0.159);
  cursor: pointer;
} 
.form button:active {
  background-color: var(--PaleBlue);
  animation: popout 0.1s ease;
}

footer {
  font-size: 0.7rem;
  font-weight: 500;
  text-align: center;
  flex-direction: column;
  gap: 1.3rem;
  color: var(--Gray);
}
footer p {
  font-size: 0.6rem;
}

.social-medias {
  gap: 0.5rem;
  justify-content: center;
}

.social-medias li {
  /* width: 29px; */
  font-size: 0.7rem;
  padding: 0.35rem;
  color: var(--blue);
  border: 1px solid rgba(0, 0, 0, 0.1);
  border-radius: 360px;
  cursor: pointer;
  
} .social-medias li:hover {
  background-color: var(--blue);
  color: white;
} .social-medias li:active {
  animation: popout 0.1s ease;
}
#social-medias-fb {
  padding: 0.35rem 0.5rem 0.35rem 0.5rem ;
}

.social-medias .fa-instagram {
  font-weight: 600;
}

@keyframes popout {
  from {
    scale: 1;
  } 
  to {
    scale: 1.1;
  }
}

@media (max-width: 426px) {
  .main-logo img {
    width: 40px;
  }

  .main-header {
    padding-bottom: 1.6rem;
    gap: 0.9rem;
  }
  .main-header h1 {
    font-size: 1.2rem;
  }
  .main-header h2 {
    font-size: 0.65rem;
  }
  

  main {
    gap: 2rem;
    padding-bottom: 5rem;
  }
  .form {
    flex-direction: column;
    align-items: center;
    gap: 0.6rem;
  }
  .form .input {
    width: 85%;
  }
  .form .email {
    font-size: 0.6rem;
    padding: 0.6rem 1rem 0.5rem 1rem;

  }
  .form button {
    font-size: 0.6rem;
    width: 85%;
    padding-block: 0.7rem;
  }
  .form .show {
    position: static;
    padding-block: 0.4rem 0.8rem;
  }
  .error-msg {
    font-size: 0.5rem;
    position: absolute;
    text-align: center;
    transform: translate(0, 0);
  }
  
}